
QGIS Application - Bug report #11827

Converting offline permanently removes edit types (field ui widgets) from layer.

2014-12-09 09:29 AM - Drew Nix

Status: Closed

Priority: Severe/Regression

Assignee:

Category: C++ plugins/Offline editing

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20045

Description

Converting offline permanently removes edit types (field ui widgets) from layer.

Steps to reproduce:

Add postgis layer.

Apply edit type with Value map to field in layer properties.

Convert layer offline.

[edit type is missing from layer]

Syncronize from offline state.

[edit type is still missing from layer]

This is preventing users from upgrading as the functionality worked in previous versions (2.0 or 2.2).

Associated revisions

Revision 4938fe79 - 2015-02-10 06:40 PM - Jürgen Fischer

offline editing: add layer to map layer registry before

copying the symbology - otherwise edit widget settings

won't be copied (fixes #11827)

History

#1 - 2014-12-09 10:00 AM - Giovanni Manghi

- OS version deleted (7)

- Operating System deleted (Windows)

- Target version set to Version 2.8

- Priority changed from High to Severe/Regression

#2 - 2015-02-10 09:43 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"4938fe79e8a3fa5d7c03a40ba624c49712ad74bd".
